curl --request POST \
--url https://api.minimax.cn/v1/responses \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: <content-type>' \
--data '
{
"model": "MiniMax-M3.1-Flash-Preview",
"reasoning": {
"effort": "max"
},
"input": "你好!"
}
'{
"id": "abc123",
"object": "response",
"created_at": 1764000000,
"model": "MiniMax-M3.1-Flash-Preview",
"status": "completed",
"output": [
{
"id": "abc123_rs",
"type": "reasoning",
"status": "completed",
"summary": [],
"content": [
{
"type": "reasoning_text",
"text": "用户打了招呼。用中文回一句简短友好的问候,并询问需要什么帮助即可。"
}
]
},
{
"id": "abc123_msg",
"type": "message",
"status": "completed",
"role": "assistant",
"content": [
{
"type": "output_text",
"text": "你好!我是 MiniMax,请问有什么可以帮你的?",
"annotations": []
}
]
}
],
"output_text": "你好!我是 MiniMax,请问有什么可以帮你的?",
"usage": {
"input_tokens": 8,
"input_tokens_details": {
"cached_tokens": 0
},
"output_tokens": 90,
"output_tokens_details": {
"reasoning_tokens": 76
},
"total_tokens": 98
},
"parallel_tool_calls": true,
"store": false,
"truncation": "disabled"
}对话生成
OpenAI Responses API 兼容的主接口调用MiniMax 模型,生成模型回复,支持流式与非流式。
curl --request POST \
--url https://api.minimax.cn/v1/responses \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: <content-type>' \
--data '
{
"model": "MiniMax-M3.1-Flash-Preview",
"reasoning": {
"effort": "max"
},
"input": "你好!"
}
'{
"id": "abc123",
"object": "response",
"created_at": 1764000000,
"model": "MiniMax-M3.1-Flash-Preview",
"status": "completed",
"output": [
{
"id": "abc123_rs",
"type": "reasoning",
"status": "completed",
"summary": [],
"content": [
{
"type": "reasoning_text",
"text": "用户打了招呼。用中文回一句简短友好的问候,并询问需要什么帮助即可。"
}
]
},
{
"id": "abc123_msg",
"type": "message",
"status": "completed",
"role": "assistant",
"content": [
{
"type": "output_text",
"text": "你好!我是 MiniMax,请问有什么可以帮你的?",
"annotations": []
}
]
}
],
"output_text": "你好!我是 MiniMax,请问有什么可以帮你的?",
"usage": {
"input_tokens": 8,
"input_tokens_details": {
"cached_tokens": 0
},
"output_tokens": 90,
"output_tokens_details": {
"reasoning_tokens": 76
},
"total_tokens": 98
},
"parallel_tool_calls": true,
"store": false,
"truncation": "disabled"
}授权
请求头
请求体的媒介类型,请设置为 application/json,确保请求数据的格式为 JSON
application/json 请求体
调用的模型名称,如 MiniMax-M3.1-Flash-Preview
"MiniMax-M3.1-Flash-Preview"
对话内容,支持简单文本或完整对话历史数组
系统指令
最大输出 token 数。推理 token 也计入此上限,设置过小会导致 status 为 incomplete 且 output 中没有 message 项。
采样温度,取值范围 (0, 1]
0 <= x <= 1核采样,取值范围 (0, 1]
0 <= x <= 1设置为 true 启用 SSE 流式响应
工具列表
Show child attributes
Show child attributes
工具选择策略:none 表示不调用任何工具;auto 表示由模型自动判断是否调用工具
none, auto 请求元数据,key-value 均为字符串
Show child attributes
Show child attributes
Prompt 缓存路由标识
输出格式控制
Show child attributes
Show child attributes
推理控制。默认值随模型不同,因此未在 schema 层声明统一默认值。
MiniMax-M3.1-Flash-Preview:推理始终开启,省略reasoning时也会推理。effort可取low、medium、high、xhigh或max,并且确实会调节推理深度;省略时默认使用max档位。传入effort: "none"会返回 HTTP 400。MiniMax-M3:默认关闭推理;将effort设为非none值可开启推理,但不会调节推理深度。- M2.x 模型:推理无法关闭,传入
effort: "none"会被接收但不生效。
Show child attributes
Show child attributes
响应
成功响应
响应 ID
"abc123"
对象类型,固定为 response
response 响应创建时间(Unix 秒)
实际处理请求的模型名称
响应状态
completed, incomplete, failed 模型输出列表
助手回复
- Message
- Reasoning
- Function Call
Show child attributes
Show child attributes
便利字段,所有文本输出拼接后的结果
Show child attributes
Show child attributes
错误信息,仅在 status=failed 时返回
Show child attributes
Show child attributes
未完成原因,仅在 status=incomplete 时返回
Show child attributes
Show child attributes
是否支持并行工具调用
响应是否持久化
上下文截断策略
disabled 此页面对您有帮助吗?